import { aws_s3 as s3, aws_iam as iam } from 'aws-cdk-lib';
import * as constructs from 'constructs';
export interface DataLakeBucketProps {
    readonly name: string;
}
export declare class DataLakeBucket extends constructs.Construct {
    bucket: s3.Bucket;
    constructor(scope: constructs.Construct, id: string, props: DataLakeBucketProps);
}
export declare class LakeFormationWorkFlowRole extends constructs.Construct {
    role: iam.Role;
    constructor(scope: constructs.Construct, id: string);
}
/**
 * This Policy gets used inside a permissions set for SSO
 */
export interface SSOLakeFormationAdministratorProps {
    readonly workFlowRole: iam.Role;
}
export declare class SSOLakeFormationAdministrator extends constructs.Construct {
    managedPolicy: iam.ManagedPolicy;
    constructor(scope: constructs.Construct, id: string, props: SSOLakeFormationAdministratorProps);
}
export declare class DatalakeUserPolicy extends constructs.Construct {
    managedPolicy: iam.ManagedPolicy;
    constructor(scope: constructs.Construct, id: string);
}
